> For the complete documentation index, see [llms.txt](https://docs.calypso.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.calypso.money/acquiring/customers/customers-webhooks.md).

# Customers webhooks

**Webhook Events**

| Event type                                           | Description                                                |
| ---------------------------------------------------- | ---------------------------------------------------------- |
| CUSTOMER\_PURSE\_EXPIRED                             | The address was not replenished and expired after 30 days. |
| CUSTOMER\_PURSE\_MEM\_POOL\_FOUND                    | The transaction pending in the mempool.                    |
| CUSTOMER\_PURSE\_PENDING\_COMPLIANCE                 | Transaction under compliance check.                        |
| CUSTOMER\_PURSE\_COMPLIANCE\_DECLINED                | The transaction failed compliance check.                   |
| CUSTOMER\_PURSE\_FUNDS\_RECEIVED\_FOR\_PURSE         | Transaction received successfully.                         |
| CUSTOMER\_PURSE\_TRANSLATION\_TO\_ACCOUNT\_COMPLETED | Funds have been successfully credited to your account.     |

**Payload description**

**CUSTOMER\_PURSE\_EXPIRED**

| Parameter       | Type    | Description               |
| --------------- | ------- | ------------------------- |
| customerId      | string  | system id of the customer |
| customerBlocked | boolean | customer block status     |
| purseId         | string  | system id of the address  |
| address         | string  | customer deposit address  |

**CUSTOMER\_PURSE\_MEM\_POOL\_FOUND**

| Parameter       | Type    | Description                          |
| --------------- | ------- | ------------------------------------ |
| currency        | number  | currency of the transaction          |
| customerId      | string  | system id of the customer            |
| customerBlocked | boolean | customer block status                |
| purseId         | string  | system id of the address             |
| address         | string  | customer deposit address             |
| transactionId   | number  | system id of the transaction         |
| amount          | number  | transaction amount                   |
| senderAddress   | string  | transaction sender address           |
| createdDate     | string  | transaction creation date            |
| transactionHash | string  | transaction hash from the blockchain |

**CUSTOMER\_PURSE\_PENDING\_COMPLIANCE**

| Parameter       | Type    | Description                  |
| --------------- | ------- | ---------------------------- |
| currency        | string  | currency of the transaction  |
| customerId      | string  | system id of the customer    |
| customerBlocked | boolean | customer block status        |
| address         | string  | customer deposit address     |
| purseId         | string  | system id of the address     |
| transactionId   | string  | system id of the transaction |
| amount          | number  | transaction amount           |
| transactionHash | string  | transaction hash             |

**CUSTOMER\_PURSE\_COMPLIANCE\_DECLINED**

| Parameter       | Type    | Description                  |
| --------------- | ------- | ---------------------------- |
| currency        | string  | currency of the transaction  |
| customerId      | string  | system id of the customer    |
| customerBlocked | boolean | customer block status        |
| address         | string  | customer deposit address     |
| purseId         | string  | system id of the address     |
| transactionId   | string  | system id of the transaction |
| amount          | number  | transaction amount           |
| transactionHash | string  | transaction hash             |

<br>

**CUSTOMER\_PURSE\_FUNDS\_RECEIVED\_FOR\_PURSE**

| Parameter       | Type    | Description                          |
| --------------- | ------- | ------------------------------------ |
| currency        | string  | currency of the transaction          |
| customerId      | string  | system id of the customer            |
| customerBlocked | boolean | customer block status                |
| purseId         | string  | system id of the address             |
| address         | string  | customer deposit address             |
| transactionId   | string  | system id of the transaction         |
| amount          | number  | transaction amount                   |
| senderAddress   | string  | transaction sender address           |
| transactionHash | string  | transaction hash from the blockchain |
| createdDate     | string  | transaction creation date            |

**CUSTOMER\_PURSE\_TRANSLATION\_TO\_ACCOUNT\_COMPLETED**

| Parameter       | Type    | Description                                           |
| --------------- | ------- | ----------------------------------------------------- |
| currency        | string  | currency of the transaction                           |
| customerId      | string  | system id of the customer                             |
| customerBlocked | boolean | customer block status                                 |
| purseId         | string  | system id of the address                              |
| address         | string  | customer deposit address                              |
| transactionId   | string  | system id of the transaction                          |
| amount          | number  | transaction amount                                    |
| createdDate     | string  | transaction creation date                             |
| serviceFee      | number  | transaction fee                                       |
| externalId      | string  | External order identifier (specified by the merchant) |

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.calypso.money/acquiring/customers/customers-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
